[SCM] yoshimi/master: Introduce postclone.sh script to ignore .pc/ dir.

mira-guest at users.alioth.debian.org mira-guest at users.alioth.debian.org
Tue Aug 22 11:22:43 UTC 2017


The following commit has been merged in the master branch:
commit 60e2b83f5f60d0268925f54a06561b878bd572f2
Author: Jaromír Mikeš <mira.mikes at seznam.cz>
Date:   Tue Aug 22 11:29:09 2017 +0200

    Introduce postclone.sh script to ignore .pc/ dir.

diff --git a/debian/README.source b/debian/README.source
new file mode 100644
index 0000000..1823c40
--- /dev/null
+++ b/debian/README.source
@@ -0,0 +1,22 @@
+gbp clone
+---------
+
+Starting with gbp>0.8.1, here's an simple way to automatically fine-tune the
+repository in the following ways:
+- make git ignore any .pc/ directory (created by quilt)
+- enable the "--follow-tags" when running 'git-push', so it's harder
+  to forget to push packaging tags along with the branches.
+
+To enable this, run gbp-clone with the '--postclone debian/gbp/postclone.sh'
+option.
+To enable this for ALL repositories cloned via 'gbp' (in the future), do
+something like the following:
+
+    $ mkdir -p ~/bin
+    $ cp debian/gbp/postclone.sh ~/bin/gbphook-postclone
+    $ cat >> ~/.gbp.conf <<EOF
+    [clone]
+    postclone = ~/bin/gbphook-postclone
+    EOF
+
+ -- IOhannes m zmölnig (Debian/GNU) <umlaeute at debian.org>  Mon, 1 Aug 2016 12:15:50 +0200
diff --git a/debian/gbp/postclone.sh b/debian/gbp/postclone.sh
new file mode 100755
index 0000000..5790ec6
--- /dev/null
+++ b/debian/gbp/postclone.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+## script to initialize a cloned repository
+## with per (local) repository settings.
+
+# - ignore quilt's .pc/ directory
+# - enable the "--follow-tags" mode for pushing
+
+echo "tuning git-repository for ${NAME}"
+git config push.followTags true && echo "enabled push.followTags"
+
+GITEXCLUDE=".git/info/exclude"
+egrep "^/?\.pc/?$" "${GITEXCLUDE}" >/dev/null 2>&1 \
+  || (echo "/.pc/" >> "${GITEXCLUDE}" && echo "ignoring /.pc/")

-- 
yoshimi packaging



More information about the pkg-multimedia-commits mailing list